| Kea 3.0.2-git

duid.h File Reference
`#include <asiolink/io_address.h>`
`#include <util/str.h>`
`#include <cstdint>`
`#include <iomanip>`
`#include <vector>`
`#include <boost/shared_ptr.hpp>`
`#include <unistd.h>`
Include dependency graph for duid.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::ClientId
| Holds Client identifier or client IPv4 address. More...
class | isc::dhcp::DUID
| Holds DUID (DHCPv6 Unique Identifier). More...
class | isc::dhcp::IdentifierBaseType
| Base type used to define a common smart pointer for all derived types. More...
class | isc::dhcp::IdentifierType< min_size, max_size >

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef boost::shared_ptr< ClientId > | isc::dhcp::ClientIdPtr
| Shared pointer to a Client ID.
typedef boost::shared_ptr< DUID > | isc::dhcp::DuidPtr
typedef boost::shared_ptr< IdentifierBaseType > | isc::dhcp::IdentifierBaseTypePtr
| Shared pointer to a IdentifierType.